esp32_BNO08x 1.4 C++ BNO08x IMU driver component for esp-idf.

Public Member Functions | Public Attributes | List of all members
bno08x_sample_counts_t Struct Reference

Struct to represent sample counts, returned from BNO08xRpt::get_sample_counts() More...

`#include <BNO08xGlobalTypes.hpp>`

## Public Member Functions
| bno08x_sample_counts_t ()
bno08x_sample_counts_t & | operator= (const sh2_Counts_t &source)

## Public Attributes
uint32_t | offered
| Number of samples produced by underlying data source. More...
uint32_t | on
| Number of "offered" samples while this sensor was requested by host. More...
uint32_t | accepted
| Number of "on" samples that passed decimation filter. More...
uint32_t | attempted
| Number of "accepted" samples that passed threshold requirements and had transmission to the host attempted. More...

## Detailed Description

Struct to represent sample counts, returned from BNO08xRpt::get_sample_counts()

## Constructor & Destructor Documentation

## ◆ bno08x_sample_counts_t()

bno08x_sample_counts_t::bno08x_sample_counts_t | ( |  | ) |
| inline

## Member Function Documentation

## ◆ operator=()

bno08x_sample_counts_t & bno08x_sample_counts_t::operator= | ( | const sh2_Counts_t & | source | ) |
| inline

## Member Data Documentation

## ◆ accepted

uint32_t bno08x_sample_counts_t::accepted

Number of "on" samples that passed decimation filter.

## ◆ attempted

uint32_t bno08x_sample_counts_t::attempted

Number of "accepted" samples that passed threshold requirements and had transmission to the host attempted.

## ◆ offered

uint32_t bno08x_sample_counts_t::offered

Number of samples produced by underlying data source.

## ◆ on

uint32_t bno08x_sample_counts_t::on

Number of "offered" samples while this sensor was requested by host.

The documentation for this struct was generated from the following file:

- /media/develop/git/imu_pr_cleanup/components/esp32_BNO08x/include/BNO08xGlobalTypes.hpp